net.sf.okapi.common

## Class ConfigurationString

- java.lang.Object
- - net.sf.okapi.common.ConfigurationString

-     public class ConfigurationString
      extends java.lang.Object

  String-based representation of a configuration file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationString()`
    `ConfigurationString(java.lang.String data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String name, boolean value)`
    `void` | `add(java.lang.String name, char value)`
    `void` | `add(java.lang.String name, int value)`
    `void` | `add(java.lang.String name, java.lang.String value)`
    `void` | `addGroup(java.lang.String name, java.lang.String value)`
    `void` | `fromString(java.lang.String data)`
    `boolean` | `get(java.lang.String name, boolean defaultValue)`
    `char` | `get(java.lang.String name, char defaultValue)`
    `int` | `get(java.lang.String name, int defaultValue)`
    `java.lang.String` | `get(java.lang.String name, java.lang.String defaultValue)`
    `java.lang.String` | `getGroup(java.lang.String name, java.lang.String defaultValue)`
    `void` | `reset()`
    `void` | `set(java.lang.String name, java.lang.String value)`
    `java.util.Map<java.lang.String,java.lang.String>` | `toMap()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationString

          public ConfigurationString()

    - #### ConfigurationString

          public ConfigurationString(java.lang.String data)

  - ### Method Detail

    - #### fromString

          public void fromString(java.lang.String data)

    - #### reset

          public void reset()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### set

          public void set(java.lang.String name,
                          java.lang.String value)

    - #### add

          public void add(java.lang.String name,
                          java.lang.String value)

    - #### add

          public void add(java.lang.String name,
                          boolean value)

    - #### add

          public void add(java.lang.String name,
                          int value)

    - #### add

          public void add(java.lang.String name,
                          char value)

    - #### addGroup

          public void addGroup(java.lang.String name,
                               java.lang.String value)

    - #### get

          public java.lang.String get(java.lang.String name,
                                      java.lang.String defaultValue)

    - #### get

          public boolean get(java.lang.String name,
                             boolean defaultValue)

    - #### get

          public int get(java.lang.String name,
                         int defaultValue)

    - #### get

          public char get(java.lang.String name,
                          char defaultValue)

    - #### getGroup

          public java.lang.String getGroup(java.lang.String name,
                                           java.lang.String defaultValue)

    - #### toMap

          public java.util.Map<java.lang.String,java.lang.String> toMap()